summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author M.Dinslage2016-07-31 18:25:43 +0200
committer Willy Sudiarto Raharjo2016-08-03 02:28:00 +0200
commitc6d206da653daa48aea1efe1d01f99a968a04de6 (patch)
treeaba458213febb008f2fc0c74b1c96d50482eb998 /games
parent06d30a9e42633805e08e4dd6f0518c45228bcc2d (diff)
downloadslackbuilds-c6d206da653daa48aea1efe1d01f99a968a04de6.tar.gz
games/fceux: Updated for version 2.2.3.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/fceux/Nintendo.pngbin15671 -> 0 bytes
-rw-r--r--games/fceux/fceux.SlackBuild37
-rw-r--r--games/fceux/fceux.info8
-rw-r--r--games/fceux/fceux.pngbin0 -> 7066 bytes
4 files changed, 23 insertions, 22 deletions
diff --git a/games/fceux/Nintendo.png b/games/fceux/Nintendo.png
deleted file mode 100644
index 8df17e57c9..0000000000
--- a/games/fceux/Nintendo.png
+++ /dev/null
Binary files differ
diff --git a/games/fceux/fceux.SlackBuild b/games/fceux/fceux.SlackBuild
index 6412ac1b53..af96722a1a 100644
--- a/games/fceux/fceux.SlackBuild
+++ b/games/fceux/fceux.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for fceux
-# Copyright 2013 Matt Dinslage (daedra1980@gmail.com), Springfield, MO, USA
+# Copyright 2016 Matt Dinslage (daedra1980@gmail.com), Springfield, MO, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,8 +24,8 @@
PRGNAM=fceux
-VERSION=${VERSION:-2.2.2}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-2.2.3}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -55,7 +55,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -65,24 +65,27 @@ tar xvf $CWD/$PRGNAM-$VERSION.src.tar.?z*
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# Set our CFLAGS, move man pages
+# Set our CFLAGS, move man pages, disable debub symbols
sed -i \
-e "s|'-Wall'|${SLKCFLAGS}, '-Wall'|" \
- -e "s|/share/man/man6/fceux.6|/man/man6/fceux.6|" \
- -e "s|/share/man/man6/fceux-net-server.6|/man/man6/fceux-net-server.6|" \
+ -e "s|/share/man/man6/|/man/man6/|" \
+ -e "s|/share/man/man6/|/man/man6/|" \
+ -e "s|symbols', 1|symbols', 0|" \
+ -e "s|release', 0|release', 1|" \
SConstruct
scons install -i --prefix=$PKG/usr
-#scons install creates usr/share/pixmaps as a regular file, delete that.
-rm -f $PKG/usr/share/pixmaps
+# Delete low res icon and replace below, also delete unneeded .dll files
+rm -f $PKG/usr/share/pixmaps/fceux.png
+rm -f $PKG/usr/share/$PRGNAM/*.dll
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
@@ -92,10 +95,8 @@ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a documentation/* COPYING *.txt $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-#Add icon and application launcher
-mkdir -p $PKG/usr/share/applications $PKG/usr/share/pixmaps
-cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-cat $CWD/Nintendo.png > $PKG/usr/share/pixmaps/Nintendo.png
+#Add icon
+cat $CWD/fceux.png > $PKG/usr/share/pixmaps/fceux.png
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/games/fceux/fceux.info b/games/fceux/fceux.info
index 68d39491c8..faa83b3399 100644
--- a/games/fceux/fceux.info
+++ b/games/fceux/fceux.info
@@ -1,10 +1,10 @@
PRGNAM="fceux"
-VERSION="2.2.2"
+VERSION="2.2.3"
HOMEPAGE="http://fceux.com/web/home.html"
-DOWNLOAD="http://downloads.sourceforge.net/fceultra/fceux-2.2.2.src.tar.gz"
-MD5SUM="eb6b01218f56fc28cb31b3a836b65918"
+DOWNLOAD="http://downloads.sourceforge.net/fceultra/fceux-2.2.3.src.tar.gz"
+MD5SUM="8002b161ea3342decce1abcca76db84a"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="lua"
+REQUIRES=""
MAINTAINER="M.Dinslage"
EMAIL="daedra1980@gmail.com"
diff --git a/games/fceux/fceux.png b/games/fceux/fceux.png
new file mode 100644
index 0000000000..a9e7823333
--- /dev/null
+++ b/games/fceux/fceux.png
Binary files differ